import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/metric/metricTaskAlloc/list',
  save='/metric/metricTaskAlloc/add',
  edit='/metric/metricTaskAlloc/edit',
  deleteOne = '/metric/metricTaskAlloc/delete',
  deleteBatch = '/metric/metricTaskAlloc/deleteBatch',
  importExcel = '/metric/metricTaskAlloc/importExcel',
  exportXls = '/metric/metricTaskAlloc/exportXls',
  send = '/sys/message/sysMessageTemplate/sendMsg',

  deleteTaskAlloc = '/metric/metricTaskAlloc/deleteTaskAlloc',
  
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>{
  //params["mcrcCtp"] = 1
  return defHttp.get({url: Api.list, params});
}

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = params['id'] ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}

export const sendMessage = (params) => defHttp.post({ url: Api.send, params });



export const deleteTaskAlloc = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中的分配用户',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.post({url: Api.deleteTaskAlloc,params}).then(() => {
        handleSuccess();
      });
    }
  });
}



